# lugins/osg/TextureRectangle.cpp File Reference

`#include "osg/TextureRectangle"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/TextureRectangle.cpp:

## Functions

bool | TextureRectangle_readLocalData (Object &obj, Input &fr)
bool | TextureRectangle_writeLocalData (const Object &obj, Output &fw)
bool | TextureRectangle_matchWrapStr (const char *str, TextureRectangle::WrapMode &wrap)
const char * | TextureRectangle_getWrapStr (TextureRectangle::WrapMode wrap)
bool | TextureRectangle_matchFilterStr (const char *str, TextureRectangle::FilterMode &filter)
const char * | TextureRectangle_getFilterStr (TextureRectangle::FilterMode filter)
bool | TextureRectangle_matchInternalFormatModeStr (const char *str, TextureRectangle::InternalFormatMode &mode)
const char * | TextureRectangle_getInternalFormatModeStr (TextureRectangle::InternalFormatMode mode)
bool | TextureRectangle_matchInternalFormatStr (const char *str, int &value)
const char * | TextureRectangle_getInternalFormatStr (int value)

## Variables

RegisterDotOsgWrapperProxy | g_TextureRectangleProxy (new osg::TextureRectangle,"TextureRectangle","Object StateAttribute TextureRectangle TextureBase",&TextureRectangle_readLocalData,&TextureRectangle_writeLocalData)

## Function Documentation

const char* TextureRectangle_getFilterStr | ( | TextureRectangle::FilterMode | filter | ) |

const char* TextureRectangle_getInternalFormatModeStr | ( | TextureRectangle::InternalFormatMode | mode | ) |

const char* TextureRectangle_getInternalFormatStr | ( | int | value | ) |

const char* TextureRectangle_getWrapStr | ( | TextureRectangle::WrapMode | wrap | ) |

bool TextureRectangle_matchFilterStr | ( | const char * | str,
|  | TextureRectangle::FilterMode & | filter
| ) |

bool TextureRectangle_matchInternalFormatModeStr | ( | const char * | str,
|  | TextureRectangle::InternalFormatMode & | mode
| ) |

bool TextureRectangle_matchInternalFormatStr | ( | const char * | str,
|  | int & | value
| ) |

bool TextureRectangle_matchWrapStr | ( | const char * | str,
|  | TextureRectangle::WrapMode & | wrap
| ) |

bool TextureRectangle_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool TextureRectangle_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TextureRectangleProxy(new osg::TextureRectangle,"TextureRectangle","Object StateAttribute TextureRectangle TextureBase",&TextureRectangle_readLocalData,&TextureRectangle_writeLocalData)